---
title: Star Fighter
folder: star-fighter
date: 2012-02-01
layout: project
cover_image: "/projects/star-fighter/cover.jpg"
hero_image: "/projects/star-fighter/hero.jpg"
description: "A simple 3D, top down, space shooter game, developed with Unity3D by James Peret."
text: "<p>The first game developed using Unity created by James Peret. It's a top down shooter in space with 3D graphics.</p><p>The game has 3 levels and a map screen. Level 1 is set in a simulator and is a tutorial where the player learns the controls and mechanics. The second level has enemies and is set in a forest planet. The final level is set on a Death Star and is much harder.</p><p>The game took about one month to be made. It used Unity version 2.5 and reused a lot of demo assets that where available at the time.</p>"
featured: true
tags:
  - "games"
start_date: "2012-02-01"
end_date: "2012-05-01"
contacts:
  - name: "James Peret"
    url: "http://jamesperet.com"
links:
  - name: "Play"
    url: ""
    disabled: ""
    dropdown: true
    links:
      - name: "Star Figther for Mac OS (v1)"
        url: "star-fighter-mac-v1.zip"
        disabled: "enabled"
        file: "star-fighter-mac-v1.zip"
files:
  - title: "star-fighter-mac-v1.zip"
    url: "star-fighter-mac-v1.zip"
    type: "mac-app"
    size: "27MB"
    s3:
      status: true
      region: "sa-east-1"
      bucket: "kairoscope"
      key: "games/star-fighter/releases/star-fighter-mac-v1.zip"
      url: "https://kairoscope.s3-sa-east-1.amazonaws.com/games/star-fighter/releases/star-fighter-mac-v1.zip"
screenshots:
  - url: "/projects/star-fighter/screenshot-0.jpg"
    description: "Star Fighter menu screen"
  - url: "/projects/star-fighter/screenshot-1.jpg"
    description: "Tutorial level"
  - url: "/projects/star-fighter/screenshot-2.jpg"
    description: "Star map – choose the next level"
  - url: "/projects/star-fighter/screenshot-3.jpg"
    description: "Level 2"
  - url: "/projects/star-fighter/screenshot-4.jpg"
    description: "Final level"
videos:
  - title: "Star Figther Demo"
    url: "https://vimeo.com/30709910"
    available: true
thumbnail_image: "/projects/star-fighter/thumbnail.jpg"
---
The first game developed using Unity created by James Peret. It's a top down shooter in space with 3D graphics.

The game has 3 levels and a map screen. Level 1 is set in a simulator and is a tutorial where the player learns the controls and mechanics. The second level has enemies and is set in a forest planet. The final level is set on a Death Star and is much harder.

The game took about one month to be made. It used Unity version 2.5 and reused a lot of demo assets that where available at the time.