# James Peret Website 2020

A new updated version of James Peret's landing page, portfolio and blog. Before there was only a landing page and a separete blog. Now everything is one system.

Based on [Hexo](http://hexo.io) for building the static website.

### To Do's

- [ ] Website Tasks
  
  - [x] Better home page posts 
  
  - [ ] Projects page header
  
  - [ ] Projects page list view
  
  - [ ] Featured projects button
  
  - [x] **About page content**
  
  - [x] **Add nav links to home page header**
  
  - [ ] Filter projects using URL parameters
  
  - [ ] Project action links button in card and list view
  
  - [x] Disqus comments
  
  - [x] Syntax highlight
  
  - [ ] Tags and category links
  
  - [ ] Tag list filter button in projects page
  
  - [x] Move video resizing script outside of page body
  
  - [x] **Responsive fixes**
  
  - [x] **Mix panel tracking**
  
  - [x] **Favicon**
  
  - [ ] Lower card height in mobile
  
  - [ ] Change project search text from "Add Tag" to "Search"

- [x] System Tasks
  
  - [x] **Don't copy projects with missing requirements**
  
  - [x] **Thumbnail and hero images are stored in project folder**
  
  - [x] **Publish upload script**
  
  - [x] **Contact form sends email**
  
  - [x] **Screenshot thumbnail resizing**
  
  - [x] **Project downloadable files**
  
  - [x] redirect to jamesperet.com
  
  - [x] **video link test requirement**
  
  - [x] **SEO basics**
  
  - [x] **Merge mixpanel analytics data** 
    *jamesperet-landing-page* and *j1x-blog* to *jamesperet-website*
  
  - [x] Fix post URLs (remove date)
  
  - [x] Singup/Login to Heroku

- [ ] Update Content
  
  - [ ] Add Lifeless Biomachine videos
  
  - [ ] Lifeless Biomachine description
  
  - [x] Cyberpunk Detective files
  
  - [ ] Cyberpunk Detective description
  
  - [ ] Riverão Website description
  
  - [ ] Polyphonic Ctrl description
  
  - [ ] Polyphonic Ctrl Demo
  
  *Demo was hosted in Heroku and no longer exists.*
  *Upload project files to Heroku*
  
  - [ ] AHA project description
  
  - [ ] Phenomena description
  
  - [ ] Aurora do Pilantra description
  
  - [x] Fix star-fighter project data
  
  - [x] Upload Aurora do Pilantra files to S3
  
  - [ ] Back2Black description
  
  - [ ] Acil Weber description
  
  - [ ] Caixa viajem no tempo description
  
  - [ ] Talento não apreciado description
  
  - [ ] Jordival no mundo do Metal description
  
  - [ ] O violador description
  
  - [ ] Istar Uours description
  
  - [x] Rebel Elite hero image
  
  - [x] Rebel Elite screenshots
  
  - [x] Rebel Elite mac app
  
  - [ ] BattleScape hero image
  
  - [ ] BattleScape screenshots
  
  - [ ] Add project vertentes.tv
  
  - [ ] Add project whois-server
  
  - [ ] Add project auto-video
  
  - [ ] Add project sozinho
  
  - [ ] Add project o-outro
  
  - [ ] Add project alo
  
  - [ ] Fix solar-wave project data
  
  - [x] Add project Julgamento Absurdista
  
  - [x] Add project Anarco-experimentalismo
  
  - [x] Fix Vinheta Lav video embed
  
  - [x] Add project Undead Earth
  
  - [x] Fix project CUB

### Extras

- [ ] Spell checker

- [ ] Couch mode view

- [ ] Timeline view

- [ ] Large list view

- [ ] Subprojects

- [ ] Video thumbnails

- [ ] Betabot integration

- [ ] Date period filter in projects

- [ ] Linked blog posts in projects

- [ ] Linked projects in blog posts

- [ ] Hover over *time ago* and show actual date

##### 
