---
title: ZeroSpace
folder: zerospace
date: 2018-11-01
layout: project
cover_image: "/projects/zerospace/cover.jpg"
hero_image: "/projects/zerospace/hero.jpg"
description: "A space exploration game by Kairoscope"
website: "kairoscope.itch.io/zerospace"
text: "<p>ZeroSpace is a role playing space trading game where you travel the galaxy interacting and trading with planets.</p>\n<p>James and Benjamin started working on the game as an entry for the <a href=\"https://itch.io/jam/igmc2018/rate/336718\">Indie Game Making Contest 2018</a>. It's a game jam on <a href=\"http://itch.io\">itch.io</a>.</p>"
featured: false
tags:
  - "games"
  - "programming"
start_date: "2018-11-01"
end_date: "2019-02-15"
screenshots:
  - url: "/projects/zerospace/screenshot-0.jpg"
    description: "Concept art for a planet"
  - url: "/projects/zerospace/screenshot-1.jpg"
    description: "Planet flyby"
  - url: "/projects/zerospace/screenshot-2.jpg"
    description: "Game screenshot"
contact_types: "Team"
contacts:
  - name: "James Peret"
    url: "http://jamesperet.com"
  - name: "Benjamin Peret"
    url: ""
links:
  - name: "Play"
    alt_name: "Download Game"
    url: ""
    disabled: ""
    dropdown: true
    links:
      - name: "ZeroSpace for Mac OS"
        url: "zerospace-osx.zip"
        disabled: "true"
      - name: "ZeroSpace for Windows"
        url: "zerospace-win.zip"
        disabled: ""
files:
  - title: "zerospace-osx.zip"
    url: "/projects/zerospace/zerospace-osx.zip"
    type: "mac-app"
    size: "120MB"
    s3:
      status: true
      region: "sa-east-1"
      bucket: "kairoscope"
      key: "games/zerospace/releases/zerospace-osx.zip"
      url: "https://kairoscope.s3-sa-east-1.amazonaws.com/games/zerospace/releases/zerospace-osx.zip"
  - title: "zerospace-win.zip"
    url: "/projects/zerospace/zerospace-win.zip"
    type: "win-exe"
    size: "113MB"
    s3:
      status: true
      region: "sa-east-1"
      bucket: "kairoscope"
      key: "games/zerospace/releases/zerospace-win.zip"
      url: "https://kairoscope.s3-sa-east-1.amazonaws.com/games/zerospace/releases/zerospace-win.zip"
videos: []
repositories: []
thumbnail_image: "/projects/zerospace/thumbnail.jpg"
---
ZeroSpace is a role playing space trading game where you travel the galaxy interacting and trading with planets.

James and Benjamin started working on the game as an entry for the [Indie Game Making Contest 2018](https://itch.io/jam/igmc2018/rate/336718). It's a game jam on [itch.io](http://itch.io).